Indexers - Reset Docs
インデクサーによって選択的に再取り込みされるように、データソース内の特定のドキュメントをリセットします。
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?api-version=2023-10-01-Preview
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?overwrite={overwrite}&api-version=2023-10-01-Preview
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
検索サービスのエンドポイント URL。 |
|
indexer
|
path | True |
string |
ドキュメントをリセットするインデクサーの名前。 |
|
api-version
|
query | True |
string |
クライアント API のバージョン。 |
|
overwrite
|
query |
boolean |
false の場合、キーまたは ID が既存のキーまたは ID に追加されます。 true の場合、このペイロード内のキーまたは ID のみがキューに格納され、再取り込みされます。 |
要求ヘッダー
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
デバッグに役立つ要求と共に送信される追跡 ID。 |
要求本文
| 名前 | 型 | 説明 |
|---|---|---|
| datasourceDocumentIds |
string[] |
リセットするデータソースドキュメント識別子 |
| documentKeys |
string[] |
リセットするドキュメント キー |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 204 No Content | ||
| Other Status Codes |
エラー応答。 |
例
SearchServiceResetDocs
要求のサンプル
POST https://myservice.search.windows.net/indexers('myindexer')/search.resetdocs?overwrite=False&api-version=2023-10-01-Preview
{
"documentKeys": [
"documentKey1",
"documentKey2"
]
}
応答のサンプル
定義
SearchError
API のエラー条件について説明します。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
サーバー定義の一連のエラー コードの 1 つ。 |
| details |
この報告されたエラーの原因となった特定のエラーに関する詳細の配列。 |
|
| message |
string |
エラーの人間が判読できる表現。 |